package net.knarcraft.blockhunt.command;

import net.knarcraft.blockhunt.BlockHunt;
import net.knarcraft.blockhunt.config.ConfigKey;
import net.knarcraft.blockhunt.manager.CommandManager;
import net.knarcraft.blockhunt.util.MessageHelper;
import org.bukkit.entity.Player;

public class InfoCommand extends DefaultCommand {

    @Override
    public boolean execute(Player player, String[] args) {
        MessageHelper.sendMessage(player, ConfigKey.CHAT_HEADER_HIGH, "header-" + BlockHunt.getPluginDescriptionFile().getName());
        MessageHelper.sendMessage(player, "%A%name%%N made by %A%authors%%N.", "name-" +
                BlockHunt.getPluginDescriptionFile().getName(), "authors-" + BlockHunt.getPluginDescriptionFile().getAuthors().get(0));
        MessageHelper.sendMessage(player, "%NVersion: %A%version%%N.", "version-" + BlockHunt.getPluginDescriptionFile().getVersion());
        MessageHelper.sendMessage(player, "%NType %A%helpusage% %Nfor help.", "helpusage-" +
                CommandManager.getHelpCommand().usage());
        MessageHelper.sendMessage(player, "%NDev-Page: %Ahttp://dev.bukkit.org/bukkit-plugins/blockhunt/");
        MessageHelper.sendMessage(player, "%NDonations are welcome!");
        MessageHelper.sendMessage(player, "%NMade by help from some friends &c<3%N!");
        MessageHelper.sendMessage(player, ConfigKey.CHAT_HEADER_HIGH, "header-&oInfo Page");
        return true;
    }
}
